EDIT - bug #10172

Registration not found in phycobank portal though it exists
10/18/2022 06:32 PM - Andreas Miller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Wolf-Henning Kusber % Done: 100%
Category: cdmlib-remote Estimated time: 0:00 hour
Target version: Release 5.34

Severity: normal Found in Version:

Description

e.g. http://phycobank.org/100097

}guess-alse-https:/phycobank.org/100172-ard-

https://www.phycobank.org/cdm_dataportal/registration?identifier=http%3A//phycobank.org/100147-+http://phycobank.org/100147
are-sueh-issues: => no these are different cases

Same problem exists on test:

https://test.e-taxonomy.eu/dataportal/preview/phycobank/cdm_dataportal/registration?identifier=http%3A//phycobank.org/100097
with webservice https://test.e-taxonomy.eu/cdmserver/phycobank/registrationDTO.json?identifier=http://phycobank.org/100097

Associated revisions

Revision b03736a2 - 10/27/2022 09:31 PM - Andreas Miiller

ref #10172 handle duplicate identifiers and no matches correctly in registration controller

History

#1 - 10/18/2022 06:36 PM - Andreas Miuller

- Description updated

#2 - 10/27/2022 10:13 PM - Andreas Miiller
- Status changed from New to In Progress

- % Done changed from 0 to 60

The problem is that for http:/phycobank.org/100097 exist 2 registrations with status "published". This is not allowed. However the wrong status
message is sent back, probably because response.sendError is called 2x.

This has been changed. However, the main problem are the data.

We could also try to improve the message handling in this case.

#3 - 10/27/2022 10:20 PM - Andreas Miiller
- Description updated

#4 - 10/27/2022 10:21 PM - Andreas Miiller

SELECT r.identifier
FROM Registration r
GROUP BY r.identifier
HAVING COUNT (*) > 1

#5 - 10/27/2022 10:44 PM - Andreas Miiller

- Status changed from In Progress to Resolved

- Assignee changed from Andreas Miiller to Wolf-Henning Kusber
- Priority changed from New to Highest

- % Done changed from 60 to 70

Sent mail to WHK to clean the data itself. | guess we can close this ticket if we do not want to improve the error handling in the dataportal also. But |
guess this is not so important, the resulting webservices do give more information now so the error can be easily debugged if it occurs again.
#6 - 10/28/2022 01:02 PM - Andreas Miiller

Also check that specific identifier and identifier match

SELECT r.*

FROM Registration r
WHERE r.identifier <> CONCAT ('http://phycobank.org/', r.specificIdentifier);

#7 - 10/28/2022 02:35 PM - Andreas Miuller

- Target version changed from Release 5.35 to Release 5.34

#8 - 10/28/2022 05:37 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 70 to 100

The data is also cleaned now so | guess we can close this ticket.
